{varType Skadmin\News\Doctrine\News\News $news}

<div class="row">
    <div class="col-12 col-lg-6 col-xl-3" n:foreach="$activeNews as $news">
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">
                    <a href="{plink ComponentFront:default package => $package, render => 'detail', id => $news->getId()}">
                        <i class="fas fa-angle-double-right"></i> {$news->getName()}
                    </a>
                </h6>
            </div>

            <a href="{plink ComponentFront:default package => $package, render => 'detail', id => $news->getId()}" class="card-img-top text-center">
                <img n:img="$news->getImagePreview(), '420x200', 'exact'" n:if="$news->getImagePreview()">
            </a>

            <div class="card-body">
                <div class="row">
                    <div class="col-12 mb-3">{$news->getDescription()|striptags|noescape|truncate:400}</div>
                    <small class="col-6 text-muted">{$news->getValidityFrom()|date:'d.m.Y'}</small>
                    <small class="col-6 text-right">
                        <a href="{plink ComponentFront:default package => $package, render => 'detail', id => $news->getId()}" class="card-img-top text-center">
                            přečíst více
                        </a>
                    </small>
                </div>
            </div>
        </div>
    </div>
</div>
